import React, { Component } from "react";
import "../style/HighlightPopup.css";
export class HighlightPopup extends Component {
    render() {
        const { highlight, onDelete } = this.props;
        return (React.createElement("div", { className: "HighlightPopup" },
            React.createElement("div", { className: "HighlightPopup__text" },
                highlight.comment.selectedValueForRadio,
                " ",
                highlight.comment.selectedValueForSelect,
                " ",
                highlight.comment.text),
            onDelete && (React.createElement("button", { className: "HighlightPopup__delete", onClick: () => onDelete(highlight.id) }, "Delete Highlight"))));
    }
}
export default HighlightPopup;
//# sourceMappingURL=HighlightPopup.js.map